[package]
name = "historian"
version = "0.0.2"
authors = ["Adrian Kuschelyagi Malacoda <adrian.malacoda@monarch-pass.net>"]
edition = "2021"

[dependencies]
pulldown-cmark = "0.13.0"
tera = "1.20.0"
toml = "0.9.5"
grep = "0.3.2"
regex = "1.11.2"
pathdiff = "0.2.3"

[dependencies.chrono]
version = "0.4.41"
features = ["serde"]

[dependencies.git2]
version = "0.20.2"
default-features = false

[dependencies.clap]
version = "4.5.45"
features = ["derive"]

[dependencies.rocket]
version = "0.5.1"
features = ["json"]

[dependencies.serde]
version = "1.0"
features = ["derive"]
